curl --request GET \
--url https://myorg.tribalhabits.com/papi/topic_assignments/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/topic_assignments/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/topic_assignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/topic_assignments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/topic_assignments/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/topic_assignments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 12345,
"created_at": "2019-04-01T18:03:15.966+11:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"completed_topic_at": "2019-10-23T15:27:09.829+11:00",
"status": "Conquered",
"due_date": null,
"relationship": "reader",
"conquered_minutes": 7,
"conquered_cpd_minutes": 7,
"enrolled_by": "PAPI",
"certified_date": null,
"recertification_allowed": true,
"version": null,
"skills_attained": [
{
"id": 13,
"name": "First Aid"
}
],
"categories": [
{
"name": "Health",
"minutes": 39.5,
"points": 500
}
],
"person": {
"id": 2,
"name": "User1",
"user_name": "12345",
"link": "/people/users/7"
},
"topic": {
"id": 3,
"title": "Confident and effective business networking",
"link": "/knowledge/topics/3/overview",
"knowledge_type": 0,
"show_certificate": true,
"external_id": "123"
}
}{
"errors": [
"Cannot find topic assignment"
]
}{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Get a specific topic enrolment
This endpoint retrieves a specific topic enrolment.
If the enrolment does not exist, 404 is returned with the body {"errors":["Cannot find topic assignment"]}.
curl --request GET \
--url https://myorg.tribalhabits.com/papi/topic_assignments/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/topic_assignments/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/topic_assignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/topic_assignments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/topic_assignments/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/topic_assignments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 12345,
"created_at": "2019-04-01T18:03:15.966+11:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"completed_topic_at": "2019-10-23T15:27:09.829+11:00",
"status": "Conquered",
"due_date": null,
"relationship": "reader",
"conquered_minutes": 7,
"conquered_cpd_minutes": 7,
"enrolled_by": "PAPI",
"certified_date": null,
"recertification_allowed": true,
"version": null,
"skills_attained": [
{
"id": 13,
"name": "First Aid"
}
],
"categories": [
{
"name": "Health",
"minutes": 39.5,
"points": 500
}
],
"person": {
"id": 2,
"name": "User1",
"user_name": "12345",
"link": "/people/users/7"
},
"topic": {
"id": 3,
"title": "Confident and effective business networking",
"link": "/knowledge/topics/3/overview",
"knowledge_type": 0,
"show_certificate": true,
"external_id": "123"
}
}{
"errors": [
"Cannot find topic assignment"
]
}{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Authorizations
Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.
Path Parameters
The unique identifier of a topic enrolment
Response
The topic enrolment
When the topic was completed, or null
Progress of the enrolment: Pre-enrolled, Unexplored, Exploring, Applying or Conquered (completed)
Pre-enrolled, Unexplored, Exploring, Applying, Conquered reader (explorer), author (creator) or assessor
reader, author, assessor Minutes recorded on completion
Minutes recorded on completion
Date the certification is valid until, or null
Version of the topic completed, or null
Show child attributes
Show child attributes
Continuing education categories recorded on completion
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

